package com.ruoyi.project.base.service;

import java.util.List;
import com.ruoyi.project.base.domain.TBaseDevice;

/**
 * 设备/管线Service接口
 *
 * @author ruoyi
 * @date 2022-11-15
 */
public interface ITBaseDeviceService
{
    /**
     * 查询设备/管线
     *
     * @param id 设备/管线主键
     * @return 设备/管线
     */
    public TBaseDevice selectTBaseDeviceById(Long id);

    /**
     * 查询设备/管线列表
     *
     * @param tBaseDevice 设备/管线
     * @return 设备/管线集合
     */
    public List<TBaseDevice> selectTBaseDeviceList(TBaseDevice tBaseDevice);
    public List<TBaseDevice> selectAllDeviceByRegionId(Long regionId);
    public TBaseDevice selectDeviceByPlantRegionAndDevice(TBaseDevice tBaseDevice);

    /**
     * 新增设备/管线
     *
     * @param tBaseDevice 设备/管线
     * @return 结果
     */
    public int insertTBaseDevice(TBaseDevice tBaseDevice);

    /**
     * 修改设备/管线
     *
     * @param tBaseDevice 设备/管线
     * @return 结果
     */
    public int updateTBaseDevice(TBaseDevice tBaseDevice);
    public int updateTBaseDeviceByDevIds(TBaseDevice tBaseDevice);

    /**
     * 批量删除设备/管线
     *
     * @param ids 需要删除的设备/管线主键集合
     * @return 结果
     */
    public int deleteTBaseDeviceByIds(Long[] ids);

    /**
     * 删除设备/管线信息
     *
     * @param id 设备/管线主键
     * @return 结果
     */
    public int deleteTBaseDeviceById(Long id);
}
